Generate SCIM Token
PUT /api/system_settings/scim/token
PUT /api/system_settings/scim/tokenInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Response Body
application/json
application/json
curl -X PUT "$API_BASE_URL/api/system_settings/scim/token"Successfully generated a new SCIM authentication token.
{
"value": "a7scim-example-scim-token-default"
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
PUT /api/system_settings/scim/token
Generate SCIM Token
Generate or rotate the SCIM access token used by external identity providers to call SCIM provisioning APIs. Rotating this token may require updating the provider configuration.
Required IAM Permission: Action iam:UpdateSCIMProvisioning, Resource arn:api7:iam:organization/*
Parameters
Responses
200: Successfully generated a new SCIM authentication token.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(string, optional): Value of the SCIM token.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X PUT '$API_BASE_URL/api/system_settings/scim/token'